%define distrib		JPackage
%define realversion	1.0
%define name		jpackage-utils
%define version		1.4.9
%define release		1jpp
%define section		free

Name:	           	%{name}
Version:	        %{version}
Release:        	%{release}
Summary:        	JPackage utilities
License:        	GPL
URL:            	http://www.jpackage.org/
Group:          	Utilities
Vendor:         	JPackage Project
Distribution:   	JPackage
Source0:		%{name}-diff-jars
Source1:		%{name}-java-functions
Source2:		%{name}-java.conf
Source3:		%{name}-jvm.list
Source4:		%{name}-macros.jpackage
Source5:		%{name}-policy
Buildarch:      	noarch
BuildRoot:      	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Utilities for the JPackage Project:

* %{_bindir}/diff-jars: show jar content differences
* %{_bindir}/java-functions: shell script functions
  library for Java applications
* %{_sysconfdir}/jpackage-release: string identifying
  the current JPackage release
* %{_sysconfdir}/java/java.conf: system-wide Java
  configuration file
* %{_sysconfdir}/java/jvm.conf: common locations of
  various java virtual machines/java development kits
* %{_sysconfdir}/rpm/macros: file containing the
  contents of %{_sysconfdir}/rpm/macros.jpackage as
  used by RPM
* %{_sysconfdir}/rpm/macros.jpackage: RPM macros for
  Java packagers and developers
* %{_docdir}/%{name}-%{version}/jpackage-policy: Java
  packaging policy for packagers and developers

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/diff-jars
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/java-functions

install -d $RPM_BUILD_ROOT%{_sysconfdir}
echo "JPackage release %{realversion} (%{distrib}) for %{buildarch}" > \
$RPM_BUILD_ROOT/%{_sysconfdir}/jpackage-release

install -d $RPM_BUILD_ROOT%{_sysconfdir}/java
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/java/java.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/java/jvm.list

install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.jpackage
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros

install -m 644 %{SOURCE5} jpackage-policy

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/rpm/macros ]; then
    touch  %{_sysconfdir}/rpm/macros
else
    sed -e '/^# START jpackage macros/,/^# END jpackage macros/d' \
        %{_sysconfdir}/rpm/macros > %{_sysconfdir}/rpm/macros.tmp
    mv -f %{_sysconfdir}/rpm/macros.tmp %{_sysconfdir}/rpm/macros
fi

echo '# START jpackage macros' >> %{_sysconfdir}/rpm/macros
cat %{_sysconfdir}/rpm/macros.jpackage >> %{_sysconfdir}/rpm/macros
echo '# END jpackage macros' >> %{_sysconfdir}/rpm/macros

%postun
if [[ "$1" -eq 0 ]]; then
    sed -e '/^# START jpackage macros/,/^# END jpackage macros/d' \
        %{_sysconfdir}/rpm/macros > %{_sysconfdir}/rpm/macros.tmp
    mv -f %{_sysconfdir}/rpm/macros.tmp %{_sysconfdir}/rpm/macros
fi

%files
%defattr(-,root,root)
%doc jpackage-policy
%{_bindir}/diff-jars
%{_bindir}/java-functions
%dir %{_sysconfdir}/java
%config(noreplace) %{_sysconfdir}/java/java.conf
%config(noreplace) %{_sysconfdir}/java/jvm.list
%config(noreplace) %{_sysconfdir}/rpm/macros.jpackage
%ghost %config(noreplace) %{_sysconfdir}/rpm/macros
%{_sysconfdir}/jpackage-release

%changelog
* Fri Mar 14 2003 David Walluck <david@anti-microsoft.org> 1.4.9-1jpp
- update jvm.list

* Mon Feb 10 2003 David Walluck <david@anti-microsoft.org> 1.4.8-1jpp
- better installation of macros
- update %%description to list all files currently included in this package
- jpackage-release in %%{_sysconfdir}, not /etc (I hope this is more
  correct)

* Sun Feb 09 2003 David Walluck <david@anti-microsoft.org> 1.4.7-1jpp
- fix sed in %%jpackage_script when paths to jars contain '/'
- fix typo in macros documentation
- add jpackage-policy
- add jpackage-release

* Wed Feb 05 2003 David Walluck <david@anti-microsoft.org> 1.4.6-1jpp
- macro bugfixes
- instead of tarball we now use %%{SOURCEn} format

* Fri Jan 31 2003 David Walluck <david@anti-microsoft.org> 1.4.5-1jpp
- add macros.jpackage (DO NOT attempt to use this until we figure something
  out, but I would still like to get some feedback about how it looks so far)

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.4.4-1jpp
- fix exiting on failed `which` (Ville Skytt <ville.skytta at iki.fi>)

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.4.3-2jpp
- fix release tag in %%changelog

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.4.3-1jpp
- java-functions changes:
  + set_jvm: look for javac first to avoid erroneously setting
    JAVA_HOME to the location of the jre unless we have to
  + set_jvm: follow symlinks to avoid erroneously setting JAVA_HOME to
    /usr/bin
  + set_jvm: export JAVA_HOME
- changed to use install instead of mkdir and cp
- remove %%attr and rely on install to set the permissions instead

* Sat Jan 25 2003 Ville Skytt <ville.skytta at iki.fi> - 1.4.2-1jpp
- java-functions changes:
  + Prevent non-success exit code from "which" in set_jvm, it can now
    be used when building RPMs.
  + Use set_jvm in set_javacmd.
  + Use set_javacmd and $JAVACMD in run.
- Fix Group tag.

* Sat Dec 28 2002 Ville Skytt <ville.skytta at iki.fi> - 1.4.1-1jpp
- Add Sun's 1.4.0_03 and BEA JRockit 7.0SP1 default RPM locations.

* Thu Nov 21 2002 Ville Skytt <ville.skytta at iki.fi> - 1.4-1jpp
- Fix diff-jars when diffing 2 jars with same basename (#635202).
- Add IBM's 1.4 default RPM location to jvm.list.

* Fri Nov  8 2002 Ville Skytt <ville.skytta at iki.fi> - 1.3-6jpp
- Add Sun's 1.3.1_06 default RPM location.

* Sat Oct 19 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-5jpp
- Add Sun's 1.4.1_01 and 1.3.1_05 default RPM locations.

* Tue Sep 17 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-4jpp
- Add Sun's 1.4.1 default rpm location.

* Thu Sep 12 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-3jpp
- Add Sun's 1.4.0_02 and new BEA JRockit locations.

* Sat Jun 29 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-2jpp
- Add section macro.

* Sat Jun 29 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-1jpp
- Add some variants of Sun J2SE java homes as well as JRockit.
- Add Distribution tag.

* Fri May 3 2002 Nicolas Mailhot <nmailhot@users.sourceforge.net> 1.2-1jpp
Add some stuff to please jakarta ant developpers :
- OSX java home
- new function set_javacmd with AIX hack included

* Wed Dec 19 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1jpp
- java-functions: centralized configuration
- java-functions: jvm list lookup
- diff-jars: fixed typo
- diff-jars: used /tmp for files
- corrected changelog

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
